io.vertx.ext.shell.term

## Interface Pty

-     public interface Pty

  A pseudo terminal used for controlling a `Tty`. This interface acts as a pseudo terminal master, `slave()` returns the assocated slave pseudo terminal.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Pty` | `create()` Create a new pseudo terminal with no terminal type.
    `static Pty` | `create(String terminalType)` Create a new pseudo terminal.
    `Pty` | `setSize(int width, int height)` Resize the terminal.
    `Tty` | `slave()`
    `Pty` | `stdoutHandler(Handler<String> handler)` Set the standard out handler of the pseudo terminal.
    `Pty` | `write(String data)` Write data to the slave standard input of the pseudo terminal.

- - ### Method Detail

    - #### create

          static Pty create()

      Create a new pseudo terminal with no terminal type.
      See Also:
        `create(String)`

    - #### create

          static Pty create(String terminalType)

      Create a new pseudo terminal.
      Parameters:
        `terminalType` - the terminal type, for instance vt100
      Returns:
        the created pseudo terminal

    - #### stdoutHandler

          Pty stdoutHandler(Handler<String> handler)

      Set the standard out handler of the pseudo terminal.
      Parameters:
        `handler` - the standard output
      Returns:
        this current object

    - #### write

          Pty write(String data)

      Write data to the slave standard input of the pseudo terminal.
      Parameters:
        `data` - the data to write
      Returns:
        this current object

    - #### setSize

          Pty setSize(int width,
                      int height)

      Resize the terminal.
      Returns:
        this current object

    - #### slave

          Tty slave()

      Returns:
        the pseudo terminal slave

Copyright © 2021 Eclipse. All rights reserved.